import React, { useRef, useState } from 'react'
import { Button, Input, Form } from 'antd'
import Edit from '@/components/Page/Edit'
import Wangeditor from '@/components/Wangeditor'
import UploadFile from '@/components/Upload/UploadFile'
import UploadImages from '@/components/Upload/UploadImages'
import UploadImageList from '@/components/Upload/UploadImageList'

export default (props) => {

  const onFinish = () => { }

  return (
    <Edit
      onFinish={onFinish}
    >
      <Form.Item label="文章标题" required>
        <Input placeholder="请输入" />
      </Form.Item>
      <Form.Item label="文章描述">
        <Input placeholder="请输入" />
      </Form.Item>
      <Form.Item label="文章正文">
        <Wangeditor />
      </Form.Item>
      <Form.Item label="文章标签">
        <Input placeholder="请输入" />
      </Form.Item>
      <Form.Item label="横向封面图">
        <UploadImages ratio={0.5} />
      </Form.Item>
      <Form.Item label="纵向封面图">
        <UploadImages ratio={'100:200'} />
      </Form.Item>
      <Form.Item label="文章图片">
        <UploadImageList />
      </Form.Item>
      <Form.Item label="文章分类">
        <Input placeholder="请输入" />
      </Form.Item>
      <Form.Item label="链接地址">
        <Input placeholder="请输入" />
      </Form.Item>
      <Form.Item label="文章附件">
        <UploadFile />
      </Form.Item>
    </Edit>
  )
}